unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, HTTPApp, Db, DBTables, DBWeb,
  Controls, HTMLBase, HTMLFlds;

type
  TWebModule1 = class(TWebModule)
    Table1: TTable;             
    Table1SpeciesNo: TFloatField;
    Table1Category: TStringField;
    Table1Common_Name: TStringField;
    Table1SpeciesName: TStringField;
    Table1Lengthcm: TFloatField;
    Table1Length_In: TFloatField;
    Table1Notes: TMemoField;
    Table1Graphic: TGraphicField;
    HTMLProducer1: THTMLProducer;
    HTMLHidden1: THTMLHidden;
    HTMLImage2: THTMLImage;
    HTMLCombo1: THTMLCombo;
    HTMLStatic1: THTMLStatic;
    HTMLDBField1: THTMLDBField;
    HTMLImage1: THTMLImage;
    procedure HTMLImage2GetImageAction(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
    procedure HTMLProducer1BeforeGetContent(Sender: TObject);
    procedure HTMLCombo1GetChecked(HTMLName, HTMLValue: String;
      var vchecked: Boolean);
    procedure HTMLDBField1BeforeGetContent(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    select:string;
  end;

var
  WebModule1: TWebModule1;

implementation

uses Unit2, HTMLCommon;
{$R *.DFM}

procedure TWebModule1.HTMLImage2GetImageAction(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
begin
  //Return the image of the form2 (as a simple example)
  form2:=TForm2.Create(nil);
  SetResponse(Response, form2);
  form2.free;
end;

procedure TWebModule1.HTMLProducer1BeforeGetContent(Sender: TObject);
begin
  select:=Request.QueryFields.Values['DBCombo'];
end;

procedure TWebModule1.HTMLCombo1GetChecked(HTMLName, HTMLValue: String;
  var vchecked: Boolean);
begin
  vchecked:=HTMLValue=select;
end;

procedure TWebModule1.HTMLDBField1BeforeGetContent(Sender: TObject);
begin
  if select<>'' then
     Table1.Locate('Species No',select,[]);

end;

end.
